execute if entity @s[tag=!started] run function j:start
effect give @s glowing 1 0 true
effect give @s saturation 1 0 true
team join gray @s
execute if entity @e[type=armor_stand,tag=rift,tag=open] run team join white @s

scoreboard players operation @s dswap = @s swap
execute store result score @s swap if data entity @s Inventory[{Slot:-106b,id:"minecraft:stick"}]
scoreboard players operation @s dswap -= @s swap
execute if score @s dswap matches -1 run function j:player/rm

#find rift
execute positioned ~ ~1.6 ~ positioned ^ ^ ^1 as @e[tag=rift,distance=..25] facing entity @s feet positioned ~ ~-1.6 ~ positioned ^ ^ ^-1 if entity @a[distance=..0.2] run tag @s add look
execute as @e[type=armor_stand,tag=rift] facing entity @s feet run function j:player/cast
execute as @e[tag=rift,tag=look,tag=found,sort=nearest,limit=1] run tag @s add lookat
title @s actionbar ""
execute if data entity @s[tag=start] SelectedItem{id:"minecraft:stick"} run tag @s remove start
execute if data entity @s SelectedItem{id:"minecraft:stick"} if entity @e[tag=cube] run title @s actionbar [{"text":"Press ","color":"red"},{"keybind":"key.sneak"},{"text":" to recall all Cubes."}]
execute if data entity @s[scores={sneak=1..}] SelectedItem{id:"minecraft:stick"} run tp @e[tag=cube] @s
execute if data entity @s SelectedItem{id:"minecraft:stick"} if entity @e[tag=lookat,tag=!open] run title @s actionbar [{"text":"Press ","color":"green"},{"keybind":"key.swapOffhand"},{"text":" to create Illusion"}]
execute if data entity @s SelectedItem{id:"minecraft:stick"} if entity @e[tag=lookat,tag=!open] if entity @e[tag=open] run title @s actionbar [{"text":"Only one Illusion can exist","color":"red"}]
execute if data entity @s SelectedItem{id:"minecraft:stick"} if entity @e[tag=look,tag=open] run title @s actionbar [{"text":"Press ","color":"red"},{"keybind":"key.swapOffhand"},{"text":" to end Illusion"}]

execute if data entity @s[tag=!blue] Inventory[{id:"minecraft:stick"}] run tag @s add gun
execute if data entity @s[tag=!blue] Inventory[{id:"minecraft:blue_dye"}] run tag @s add blue
execute if data entity @s[tag=!green] Inventory[{id:"minecraft:green_dye"}] run tag @s add green
execute if data entity @s[tag=!red] Inventory[{id:"minecraft:red_dye"}] run tag @s add red
#clear items
execute store result score @s item run clear @s stick 0
execute if score @s item matches 2.. run clear @s stick 1
execute if score @s[tag=gun] item matches 0 unless entity @e[nbt={Item:{id:"minecraft:stick"}}] run item replace entity @s hotbar.0 with stick{display:{Name:'{"text":"Temporal Resonator","italic":false,"color":"#9944CC"}'}}
execute if score @s[tag=!start] item matches 0 run title @s actionbar [{"text":"Press ","color":"red"},{"keybind":"key.sneak"},{"text":" to reset to Resonator"}]
execute if score @s item matches 0 if score @s sneak matches 1.. run tp @s @e[type=item,limit=1,nbt={Item:{id:"minecraft:stick"}}]
execute if score @s item matches 2.. run scoreboard players set @s item 0
execute store result score @s[tag=blue] item run clear @s blue_dye 0
execute if score @s[tag=blue] item matches 2.. run clear @s blue_dye 1
execute if score @s[tag=blue] item matches 0 unless entity @e[nbt={Item:{id:"minecraft:blue_dye"}}] run item replace entity @s hotbar.1 with blue_dye{display:{Name:'{"text":"Weighted Blue Cube","color":"#0094FF","italic":false}'}}
execute if data entity @s Inventory[{id:"minecraft:blue_dye"}] run kill @e[nbt={Item:{id:"minecraft:blue_dye"}}]
execute store result score @s[tag=green] item run clear @s green_dye 0
execute if score @s[tag=green] item matches 2.. run clear @s green_dye 1
execute if score @s[tag=green] item matches 0 unless entity @e[nbt={Item:{id:"minecraft:green_dye"}}] run item replace entity @s hotbar.2 with green_dye{display:{Name:'{"text":"Weighted Green Cube","color":"#00BB00","italic":false}'}}
execute if data entity @s Inventory[{id:"minecraft:green_dye"}] run kill @e[nbt={Item:{id:"minecraft:green_dye"}}]
execute store result score @s[tag=red] item run clear @s red_dye 0
execute if score @s[tag=red] item matches 2.. run clear @s red_dye 1
execute if score @s[tag=red] item matches 0 unless entity @e[nbt={Item:{id:"minecraft:red_dye"}}] run item replace entity @s hotbar.3 with red_dye{display:{Name:'{"text":"Weighted Red Cube","color":"#EE1E00","italic":false}'}}
execute if data entity @s Inventory[{id:"minecraft:red_dye"}] run kill @e[nbt={Item:{id:"minecraft:red_dye"}}]


execute as @e[tag=rift,tag=open,distance=25..] run function j:entity/rift/close/start


execute if block ~ ~ ~ end_gateway run kill @e[type=item_frame]
execute if block ~ ~ ~ end_gateway run tag @s add end
execute if entity @s[tag=end] run title @s times 20 200 20
execute if entity @s[tag=end] run title @s title "To Be Continued..."
execute if entity @s[tag=end] run title @s subtitle "Thanks for playing."
execute if entity @s[tag=end] run tp @s 29.5 134 -11.5
execute if entity @s[tag=end] as @e[tag=rift,tag=open] run function j:entity/rift/close/start
execute if entity @s[tag=end] run tag @s remove end

scoreboard players set @s sneak 0
